Gentoo Archives: gentoo-commits

From: "Tobias Scherbaum (dertobi123)" <dertobi123@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in net-analyzer/snort: metadata.xml ChangeLog snort-2.8.3.1.ebuild
Date: Wed, 31 Dec 2008 10:05:36
Message-Id: E1LHxxF-00024i-0T@stork.gentoo.org
dertobi123    08/12/31 10:05:33

  Modified:             metadata.xml ChangeLog snort-2.8.3.1.ebuild
  Log:
  Various QA fixes, as requested by Mr_Bones_. Also describe local use-flags (and switch pthreads to just threads), though those local use-flags do need some better descriptions. Hey, at least I do care ...
  (Portage version: 2.2_rc20/cvs/Linux 2.6.25-gentoo-r7 x86_64)

Revision  Changes    Path
1.6                  net-analyzer/snort/metadata.xml

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/metadata.xml?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/metadata.xml?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/metadata.xml?r1=1.5&r2=1.6

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-analyzer/snort/metadata.xml,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- metadata.xml	4 Aug 2008 20:12:12 -0000	1.5
+++ metadata.xml	31 Dec 2008 10:05:32 -0000	1.6
@@ -4,16 +4,26 @@
 <herd>netmon</herd>
 <longdescription>Libpcap-based packet sniffer/logger/lightweight IDS</longdescription>
 <use>
+<flag name='aruba'>Enable Aruba support</flag>
+<flag name='community-rules'>Include Community rules</flag>
+<flag name='decoder-preprocessor-rules'></flag>
 <flag name='dynamicplugin'>Enable ability to dynamically load preprocessors, detection engine, and rules library</flag>
 <flag name='flexresp'>Enable new connection tearing (not recommended)</flag>
 <flag name='flexresp2'>Enable new connection tearing</flag>
 <flag name='gre'>Enable GRE support</flag>
 <flag name='inline'>Enable snort-inline for accepting packets from <pkg>net-firewall/iptables</pkg>, via libipq, rather than <pkg>net-libs/libpcap</pkg>.</flag>
+<flag name='inline-init-failopen'>Enable inline-init-failopen support</flag>
 <flag name='linux-smp-stats'>Enable statistics reporting through proc on smp systems</flag>
+<flag name='memory-cleanup'>Enable memory-cleanup support</flag>
+<flag name='mpls'>Enable support for mpls networks</flag>
 <flag name='perfprofiling'>Enable preprocessor and rule performance profiling</flag>
+<flag name='ppm'>Enable ppm support</flag>
 <flag name='react'>Enable interception and termination of offending HTTP accesses</flag>
+<flag name='ruleperf'>Enable ruleperf support</flag>
 <flag name='sguil'>Enable sguil (The Analyst Console for Network Security Monitoring) support</flag>
 <flag name='snortsam'>patches <pkg>net-analyzer/snort</pkg> for use with <pkg>net-analyzer/snortsam</pkg></flag>
+<flag name='stream4udp'>Enable stream4udp support</flag>
+<flag name='targetbased'>Enable targetbased support</flag>
 <flag name='timestats'>Enable TimeStats functionality</flag>
 </use>
 </pkgmetadata>



1.136                net-analyzer/snort/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/ChangeLog?rev=1.136&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/ChangeLog?rev=1.136&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/ChangeLog?r1=1.135&r2=1.136

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-analyzer/snort/ChangeLog,v
retrieving revision 1.135
retrieving revision 1.136
diff -u -r1.135 -r1.136
--- ChangeLog	23 Nov 2008 15:29:38 -0000	1.135
+++ ChangeLog	31 Dec 2008 10:05:32 -0000	1.136
@@ -1,6 +1,12 @@
 # ChangeLog for net-analyzer/snort
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/snort/ChangeLog,v 1.135 2008/11/23 15:29:38 vanquirius Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/snort/ChangeLog,v 1.136 2008/12/31 10:05:32 dertobi123 Exp $
+
+  31 Dec 2008; Tobias Scherbaum <dertobi123@g.o> metadata.xml,
+  snort-2.8.3.1.ebuild:
+  Various QA fixes, as requested by Mr_Bones_. Also describe local use-flags
+  (and switch pthreads to just threads), though those local use-flags do need
+  some better descriptions. Hey, at least I do care ...
 
 *snort-2.8.3.1 (23 Nov 2008)
 



1.2                  net-analyzer/snort/snort-2.8.3.1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/snort-2.8.3.1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/snort-2.8.3.1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-analyzer/snort/snort-2.8.3.1.ebuild?r1=1.1&r2=1.2

Index: snort-2.8.3.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-analyzer/snort/snort-2.8.3.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- snort-2.8.3.1.ebuild	23 Nov 2008 15:29:38 -0000	1.1
+++ snort-2.8.3.1.ebuild	31 Dec 2008 10:05:32 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/snort/snort-2.8.3.1.ebuild,v 1.1 2008/11/23 15:29:38 vanquirius Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/snort/snort-2.8.3.1.ebuild,v 1.2 2008/12/31 10:05:32 dertobi123 Exp $
 
 WANT_AUTOCONF="latest"
 WANT_AUTOMAKE="latest"
@@ -15,22 +15,21 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~ppc ~ppc64 -sparc ~x86"
-IUSE="static debug pthreads prelude stream4udp memory-cleanup decoder-preprocessor-rules ipv6 targetbased dynamicplugin timestats ruleperf ppm perfprofiling linux-smp-stats inline inline-init-failopen flexresp flexresp2 react aruba gre mpls pic postgres mysql odbc selinux community-rules"
+IUSE="static debug threads prelude stream4udp memory-cleanup decoder-preprocessor-rules ipv6 targetbased dynamicplugin timestats ruleperf ppm perfprofiling linux-smp-stats inline inline-init-failopen flexresp flexresp2 react aruba gre mpls pic postgres mysql odbc selinux community-rules"
 
 #flexresp, react, and inline _ONLY_ work with net-libs/libnet-1.0.2a
 DEPEND="virtual/libc
 	virtual/libpcap
 	>=sys-devel/libtool-1.4
 	>=dev-libs/libpcre-6.0
-        flexresp2? ( dev-libs/libdnet )
+	flexresp2? ( dev-libs/libdnet )
 	flexresp? ( ~net-libs/libnet-1.0.2a )
 	react? ( ~net-libs/libnet-1.0.2a )
-        postgres? ( || ( dev-db/postgresql dev-db/libpq ) )
-        mysql? ( virtual/mysql )
-        odbc? ( dev-db/unixODBC )
+	postgres? ( || ( dev-db/postgresql dev-db/libpq ) )
+	mysql? ( virtual/mysql )
+	odbc? ( dev-db/unixODBC )
 	prelude? ( >=dev-libs/libprelude-0.9.0 )
-	inline? ( ~net-libs/libnet-1.0.2a
-		  net-firewall/iptables )"
+	inline? ( ~net-libs/libnet-1.0.2a net-firewall/iptables )"
 
 RDEPEND="${DEPEND}
 	dev-lang/perl
@@ -65,30 +64,29 @@
 		epause
 	fi
 
-        if use ruleperf && ! use dynamicplugin; then
-                ewarn
+	if use ruleperf && ! use dynamicplugin; then
 		ewarn
-                ewarn "You have enabled 'ruleperf' but not 'dynamicplugin'."
-                ewarn "'ruleperf' requires 'dynamicplugin' to compile."
-                ewarn
-                ewarn "Enabling dynamicplugin..."
+		ewarn
+		ewarn "You have enabled 'ruleperf' but not 'dynamicplugin'."
+		ewarn "'ruleperf' requires 'dynamicplugin' to compile."
+		ewarn
+		ewarn "Enabling dynamicplugin..."
 		ewarn
 		ewarn
 		epause
-        fi
+	fi
 
-        if use inline-init-failopen && ! use inline; then
-                ewarn
+	if use inline-init-failopen && ! use inline; then
 		ewarn
-                ewarn "You have enabled 'inline-init-failopen' but not 'inline'."
-                ewarn "'inline-init-failopen' is an 'inline' only function."
-                ewarn
-                ewarn "Enabling inline mode..."
+		ewarn
+		ewarn "You have enabled 'inline-init-failopen' but not 'inline'."
+		ewarn "'inline-init-failopen' is an 'inline' only function."
+		ewarn
+		ewarn "Enabling inline mode..."
 		ewarn
 		ewarn
 		epause
-        fi
-
+	fi
 }
 
 
@@ -110,8 +108,7 @@
 }
 
 src_compile() {
-
-        local myconf
+	local myconf
 
 	#Both shared and static are enable by defaut so we need to be specific
 	if use static; then
@@ -144,57 +141,57 @@
 		myconf="${myconf} --disable-dynamicplugin"
 	fi
 
-        # USE flages 'targetbased' and 'inline-init-failopen' require pthreads
-	#Only 'pthreads' is set here. 'targetbased' and 'inline-init-failopen' are set below via econf.
-        if use targetbased || use inline-init-failopen || use pthreads; then
-                myconf="${myconf} --enable-pthread"
-        else
-                myconf="${myconf} --disable-pthread"
-        fi
+	# USE flages 'targetbased' and 'inline-init-failopen' require threads
+	#Only 'threads' is set here. 'targetbased' and 'inline-init-failopen' are set below via econf.
+	if use targetbased || use inline-init-failopen || use threads; then
+		myconf="${myconf} --enable-pthread"
+	else
+		myconf="${myconf} --disable-pthread"
+	fi
 
 	#Only needed if...
-        if use flexresp || use react || use inline; then
+	if use flexresp || use react || use inline; then
 		myconf="${myconf} --with-libipq-includes=/usr/include/libipq"
 	fi
 
-        #'inline-init-failopen' requires 'inline'
-        if use inline-init-failopen || use inline; then
-                myconf="${myconf} --enable-inline"
+	#'inline-init-failopen' requires 'inline'
+	if use inline-init-failopen || use inline; then
+		myconf="${myconf} --enable-inline"
 	else
 		myconf="${myconf} --disable-inline"
-        fi
+	fi
 
 
-#The --enable-<feature> options... 'static' 'dynamicplugin' 'pthreads' 'flexresp' 'flexresp2' 'inline'
+#The --enable-<feature> options... 'static' 'dynamicplugin' 'threads' 'flexresp' 'flexresp2' 'inline'
 # are configured above due to dependancy/conflict issues. 
 #All others are handled the standard ebuild way via econf
 
 	econf \
 		--without-oracle \
-                $(use_with postgres postgresql) \
-                $(use_with mysql) \
-                $(use_with odbc) \
-                $(use_with pic) \
+		$(use_with postgres postgresql) \
+		$(use_with mysql) \
+		$(use_with odbc) \
+		$(use_with pic) \
 		--disable-ipfw \
 		--disable-profile \
 		--disable-ppm-test \
 		$(use_enable debug) \
-                $(use_enable prelude) \
-                $(use_enable stream4udp) \
-                $(use_enable memory-cleanup) \
-                $(use_enable decoder-preprocessor-rules) \
+		$(use_enable prelude) \
+		$(use_enable stream4udp) \
+		$(use_enable memory-cleanup) \
+		$(use_enable decoder-preprocessor-rules) \
 		$(use_enable ipv6) \
 		$(use_enable targetbased) \
-                $(use_enable timestats) \
-                $(use_enable ruleperf) \
-                $(use_enable ppm) \
-                $(use_enable perfprofiling) \
-                $(use_enable linux-smp-stats) \
-                $(use_enable inline-init-failopen) \
-                $(use_enable react) \
-                $(use_enable aruba) \
-                $(use_enable gre) \
-                $(use_enable mpls) \
+		$(use_enable timestats) \
+		$(use_enable ruleperf) \
+		$(use_enable ppm) \
+		$(use_enable perfprofiling) \
+		$(use_enable linux-smp-stats) \
+		$(use_enable inline-init-failopen) \
+		$(use_enable react) \
+		$(use_enable aruba) \
+		$(use_enable gre) \
+		$(use_enable mpls) \
 		${myconf} || die "econf failed"
 
 	# limit to single as reported by jforman on irc
@@ -227,7 +224,7 @@
 			etc/snort.conf > "${D}"/etc/snort/snort.conf.distrib
 	fi
 
-        sed -i -e "s:RULE_PATH ../rules:RULE_PATH /etc/snort/rules:g" \
+	sed -i -e "s:RULE_PATH ../rules:RULE_PATH /etc/snort/rules:g" \
 		"${D}"/etc/snort/snort.conf.distrib
 
 	sed -i -e "s:PREPROC_RULE_PATH ../preproc_rules:PREPROC_RULE_PATH /etc/snort/preproc_rules:g" \
@@ -283,9 +280,9 @@
 		elog "The COMMUNITY ruleset has been installed."
 		elog
 	else
-                elog
-                elog "The COMMUNITY ruleset has NOT been installed."
-                elog
+		elog
+		elog "The COMMUNITY ruleset has NOT been installed."
+		elog
 	fi
 		elog "To learn how to manage updates to your rulesets please visit..."
 		elog